# blue.tcl - Copyright (C) 2004 Pat Thoyts <patthoyts@users.sourceforge.net>
#
# A sample pixmap theme for the tile package.
#
# $Id: blue.tcl,v 1.9 2004/02/04 00:56:35 jenglish Exp $

package require tile::pixmap

namespace eval Tile {
    namespace eval blue {
        variable version 0.0.1
    }
}

namespace eval Tile::blue {

set imgdir [file join [file dirname [info script]] blue]
array set Images [Tile::LoadImages $imgdir *.gif]

style createtheme blue -parent alt -settings {

    style default . -background #6699CC -troughcolor #66CCCC -borderwidth 1
    style map . -background [list active #00FFFF]
    style map . -foreground [list disabled #a3a3a3]
    style default TNotebook -padding "3m 1m" -font ButtonFont
    style default TButton -padding "10 0"

    style default TScrollbar -width 6
    style map TScrollbar \
    	-relief		{ pressed sunken } \
	-arrowcolor	{ pressed #00CC00 } \
	;

    #
    # Elements:
    #
    style createelement Button.background pixmap -images [list  \
    	pressed $Images(button-p) \
	active	$Images(button-h) \
        {} $Images(button-n) \
    ] -border 4 -tiling tile

    style createelement Checkbutton.indicator pixmap -images [list \
        {active selected} 	$Images(check-hc) \
        active			$Images(check-hu) \
        selected		$Images(check-nc) \
        {}                 	$Images(check-nu) \
    ] -tiling fixed

    style createelement Radiobutton.indicator pixmap -images [list \
        {active selected} 	$Images(radio-hc) \
        active			$Images(radio-hu) \
        selected		$Images(radio-nc) \
        {}                 	$Images(radio-nu) \
    ] -tiling fixed


    #
    # Settings:
    #
    style createlayout TButton {
    	Button.background
	Button.highlight -children {
	    Button.padding -children {
	    	Button.compound -side left -expand true
	    }
	}
    }

    style createlayout TCheckbutton {
        Checkbutton.background
        Checkbutton.highlight -children {
            Checkbutton.border -children {
                Checkbutton.padding -children {
                    Checkbutton.indicator -side right
                    Checkbutton.compound -side left -expand true
                }
            }
        }
    }

    style createlayout TRadiobutton {
        Radiobutton.background
	Radiobutton.border -children {
	    Radiobutton.padding -children  {
		Radiobutton.indicator -side right
		Radiobutton.highlight -expand true -sticky {} -children {
		    Radiobutton.compound -side right -expand true
		}
	    }
	}
    }

} }

# -------------------------------------------------------------------------

package provide tile::theme::blue $::Tile::blue::version

# -------------------------------------------------------------------------
